; ***  **********************************************************************
create	object	default	obj_HANA
	object	obj_KUKI
	object	obj_HA
	object	obj_HANABIRA
close

; *** s ***
create	object	default	obj_KUKI
	csg	and
	object	obj_KUKI1
	object	obj_KUKI2
	surface	surf_KUKI
close

create	object	default	obj_KUKI1
	fusion		on
	geometry	geom_KUKI1_1
	geometry	geom_KUKI1_2
	geometry	geom_KUKI1_3
	geometry	geom_KUKI1_4
	geometry	geom_KUKI1_5
close

create	geometry meta	geom_KUKI1_1
	type	ellp
	tlen	0.09 1 0.09
	weight	1.7
	mov	0 1.05 0
	rot	-5 0 3
close

create	geometry meta	geom_KUKI1_2
	type	ellp
	tlen	0.08 0.5 0.08
	weight	1.9
	mov	0 2.6 0
	rot	5 0 -5
close

create	geometry meta	geom_KUKI1_3
	type	ellp
	tlen	0.08 0.35 0.08
	weight	2.1
	mov	0.15 3.45 0.12
	rot	11 0 -12
close

create	geometry meta	geom_KUKI1_4
	type	ellp
	tlen	0.33 0.25 0.2
	weight	1.8
	mov	0.2 4 0.3
	rot	-4 0 -5
close

create	geometry meta	geom_KUKI1_5
	type	ellp
	tlen	0.68 0.74 0.1
	weight	1.6
	mov	0.2 4.1 0.5
	rot	-4 0 -5
close

create	object	default	obj_KUKI2
	scale		2 5 1
	mov		0.2 2.5 -0.05
	geometry	geom_KUKI2_1
close

create	geometry cube	geom_KUKI2_1
close

; *** t ***
create	object	default	obj_HA
	object	obj_HA1
	object	obj_HA2
	surface	surf_HA
close

create	object	default	obj_HA1
	csg		and
	geometry	geom_HA1
	geometry	geom_HA2
	mov		0.7 1 0
	rot		-5 3 -48
close

create	object	default	obj_HA2
	csg		and
	geometry	geom_HA1
	geometry	geom_HA2
	mov		-0.7 1.2 0
	rot		1 0 56
	scale		0.9 1.2 1
close

create	geometry quad	geom_HA1
	type	ellp
	len	0.8 1 0.1
	mov	-0.4 0 0
close

create	geometry quad	geom_HA2
	type	ellp
	len	0.8 1 0.1
	mov	0.4 0 0
close

; *** Ԃт ***
create	object	default	obj_HANABIRA
	mov	0.2 4.15 0.5
	rot	0 0 -3
	scale	0.85 0.85 0.8
	object	obj_HANABIRA1
	object	obj_HANABIRA2
	surface	surf_HANABIRA
close

create	object	default	obj_HANABIRA1
	geometry	geom_HANABIRA1
close

create	geometry quad	geom_HANABIRA1
	type	ellp
	len	0.8 0.88 0.16
close

create	object	default	obj_HANABIRA2
	object	obj_HANABIRA2_1
	object	obj_HANABIRA2_2
	object	obj_HANABIRA2_3
	object	obj_HANABIRA2_4
close

create	object	default	obj_HANABIRA2_1
	geometry	geom_HANABIRA2
	torder		movrot
	scale		0.6 0.64 1
	mov		0 1.4 0
	rot		5 1 43
close

create	object	default	obj_HANABIRA2_2
	geometry	geom_HANABIRA2
	torder		movrot
	scale		0.52 0.64 1
	mov		0 1.36 -0.016
	rot		4 0 137
close

create	object	default	obj_HANABIRA2_3
	geometry	geom_HANABIRA2
	torder		movrot
	scale		0.56 0.6 1
	mov		0 1.36 0
	rot		6 0 213
close

create	object	default	obj_HANABIRA2_4
	geometry	geom_HANABIRA2
	torder		movrot
	scale		0.48 0.56 1
	mov		0 1.32 0
	rot		6 0 315
close

create	geometry quad	geom_HANABIRA2
	type	ellp
	len	1 1 0.08
close

; *** Ԃ̎ ****************************************************************
; *** s ***
create	surface	default	surf_KUKI
	rgb		0.38 0.60 0	* F
	ambient		0.4 0.4 0.4
	diffuse		0.6 0.6 0.6
	specular	0 0 0
close

; *** t ***
create	surface	default	surf_HA
	rgb		0.38 0.60 0	* F
	ambient		0.4 0.4 0.4
	diffuse		0.6 0.6 0.6
	specular	0 0 0
	bump-map	map_HANA
close

; *** Ԃт ***
create	surface	default	surf_HANABIRA
	rgb		0.98 0.98 0.76	* [zCg
	ambient		0.4 0.4 0.4
	diffuse		0.6 0.6 0.6
	specular	0 0 0
	bump-map	map_HANA
close

; *** ov}bsO(킵)̐ݒ ***
create	map	solid	map_HANA
	volume	vol_HANA
	transform tf_solid
close

create	volume	wrinkle	vol_HANA
	magnitude	0.6
	degree		0.25
close

create	transform surface tf_solid
	project	solid
close
