; ***  **********************************************************************
create	object	default	obj_TUBO
	csg	diff
	object	obj_TUBO1
	object	obj_TUBO2
close

create	object	default	obj_TUBO1
	object	obj_TUBO_all
	surface	surf_TUBO1
close

create	object	default	obj_TUBO2
	scale	0.85 0.95 0.85
	mov	0 0.15 0
	object	obj_TUBO_all
	surface	surf_TUBO2
close

create	object	default	obj_TUBO_all
	csg	and
	object	obj_TUBO_A
	object	obj_TUBO_B
close

create	object	default	obj_TUBO_A
	fusion		on
	geometry	geom_TUBO_A1
	geometry	geom_TUBO_A2
close

create	object	default	obj_TUBO_B
	mov		0 1.25 0
	scale		2.5 2.5 2.5
	geometry	geom_TUBO_B1
close

create	geometry meta	geom_TUBO_A1
	type	ellp
	tlen	1 1.2 1
	mov	0 0.9 0
	weight	1.5
close

create	geometry meta	geom_TUBO_A2
	type	ellp
	tlen	0.35 0.2 0.35
	mov	0 2.4 0
	weight	1.5
close

create	geometry cube	geom_TUBO_B1
close

; *** ق̎ ****************************************************************
create	surface	default	surf_TUBO1
	ambient		0.4 0.4 0.4
	diffuse		0.6 0.6 0.6
	specular	0.1 0.1 0.1
	color-map	map_TUBO_color
	bump-map	map_TUBO_bump
close

create	surface	default	surf_TUBO2
	rgb		0.89 0.66 0.00
	ambient		0.4 0.4 0.4
	diffuse		0.6 0.6 0.6
	specular	0.1 0.1 0.1
	bump-map	map_TUBO_bump
close

; *** J[}bsO̐ݒ ***
create	map	default	map_TUBO_color
	image		TUBO.lpc
	urange		0 2 1
	vrange		-0.01 1.01 1
	u-interpolate	round
	v-interpolate	round
	transform	tf_TUBO
close

create	transform surface tf_TUBO
	project		cylinder
	origin		0 1.25 0
	unit-length	1 1.25 1
close

; *** ov}bsO(킵)̐ݒ ***
create	map	solid	map_TUBO_bump
	volume		vol_TUBO
	transform 	tf_solid
	urange		0 1 10
	vrange		0 1 10
close

create	volume	wrinkle	vol_TUBO
	magnitude	8
	degree		0.7
close

create	transform surface tf_solid
	project	solid
close
