; *** Fv ******************************************************************

< KUMA.cmd
< JIMEN.cmd
< TUBO.cmd
< HANA.cmd
< SAO.cmd

global	color-map	on
global	bump-map	on
global	env-map		off
global	antialias	3
global	shadow		on
global	background	on
global	depth-cue	on
global	csg		on
global	distribution	on
global	subdivision	7
global	show-percent	on

select	object	obj_root
select	camera	camera
select	background	background

create	object	default	obj_root
	light	amb	on
	object	kuma
	object	tubo
	object	hana
	object	sao
	object	jimen
close

create	object	default	kuma
	light	light1	on
	light	light2	on
	mov	-5 4.2 -5.5
	rot	0 10 0
	object	obj_KUMA
close

create	object	default	tubo
	light	light1	on
	light	light3	on
	mov	-7 0.8 1
	rorder	xyz
	rot	-80 160 0
	object	obj_TUBO
close

create	object	default	hana
	light	light1	on
	light	light2	on
	mov	6 0 -7
	rot	0 30 0
	object	obj_HANA
close

create	object	default	sao
	light	light1	on
	light	light3	on
	mov	5 0 -20
	object	obj_SAO
close

create	object	default	jimen
	light	light1	on
	scale	1000 1 1000
	object	obj_JIMEN
	fog	background_fog
	shad-group	gp_shad
close

; *** eO[v ***
create	group	shadow	gp_shad
	object	kuma
	object	tubo
	object	hana
	object	sao
close

; *** Cg ******************************************************************
create	light	default	light1
	type	parallel
	pos	-8 6 -10
	rgb	1.0 0.9 0.7
	shadow	0.4 0.2 0.2
	shad-dist 0.05 32
close

create	light	default	light2
	type	parallel
	pos	-3 9 12
	rgb	0.7 0.6 0.6
close

create	light	default	light3
	type	parallel
	pos	-2 9 12
	rgb	0.5 0.4 0.4
close

create	light	default	amb
	type	ambient
close

; *** obNOh **********************************************************
create	volume	background	background
	grad-type	normal
	proj-type	parallel
	norm1		1
	rgb1		0.3 0.4 0.6
	exp1-2		-0.5 0 0.5
	norm2		0.4
	rgb2		0.8 0.2 0.1
	rot		0 0 -2
close

create	volume	background	background_fog
	rgb		0.35 0.15 0.10
	depth-cue	20 150
close

; *** J ******************************************************************
create	camera	default	camera
	pos	0 5.5 19
	tar	0 6.5 0
	direction	+y
	proj-offset	0 0
	proj-size	512 512
	rend-offset	0 0
	rend-size	512 512
	focus		23.21 0.15 32
close
